## com.icl.saxon.charcode
Class UnicodeCharacterSet

    java.lang.Object
      com.icl.saxon.charcode.UnicodeCharacterSet

All Implemented Interfaces:
  CharacterSet

public final class UnicodeCharacterSet
extends java.lang.Object
implements CharacterSet

This class defines properties of the Unicode character set

Constructor Summary
`UnicodeCharacterSet()`

Method Summary
`static UnicodeCharacterSet` `getInstance()`
`boolean` `inCharset(int c)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnicodeCharacterSet

    public UnicodeCharacterSet()

Method Detail

### getInstance

    public static UnicodeCharacterSet getInstance()

### inCharset

    public boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`